<?xml version="1.0"?> 
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">

<!-- everything.xsl -->
<!-- This version redeveloped by Chris Manning for April 99 XSL draft -->
<!-- July 1999 -->
<!-- revised by Kristen August 2001 -->

<!-- order is ENTRY, HW, then item tags (link tags, text-only, and hidden), 
     and the rest alphabetically -->

<!-- note that link colors are now similar but not exactly matching -
     the idea was to enhance readability (darker colours) -->

<xsl:strip-space elements="*"/>

<xsl:output method="html" version="3.2"/>

<xsl:template match="/" xml:space="default">
<HTML>
<HEAD>
<TITLE>
<!-- I added this because it used to mess up the html by putting 
     all the headwords in the title. Maybe can do a check, to see 
     if there are < 5 or so? -KP -->
<xsl:text>Warlpiri Dictionary Word List</xsl:text>
</TITLE>
</HEAD>
<BODY BGCOLOR="white" LINK="blue" VLINK="red">
<xsl:if test="DICTIONARY/GLOSS">
Words that match<xsl:for-each select='DICTIONARY'>
	<B> <xsl:value-of select="GLOSS"/> </B> </xsl:for-each>:
            <xsl:for-each select='DICTIONARY/ENTRY'>	
		<xsl:if test="not(position()=last())">	                            
		<A><xsl:attribute name="HREF">#<xsl:value-of select="HW"/></xsl:attribute><xsl:value-of select="HW"/></A>,
		</xsl:if>
		<xsl:if test="(position()=last())">
			<xsl:if test="(position()=1)">
			<A><xsl:attribute name="HREF">#<xsl:value-of select="HW"/></xsl:attribute><xsl:value-of select="HW"/></A>.
			</xsl:if>
			<xsl:if test="not(position()=1)">
			and <A><xsl:attribute name="HREF">#<xsl:value-of select="HW"/></xsl:attribute><xsl:value-of select="HW"/></A>.
			</xsl:if>
		</xsl:if>
             </xsl:for-each>
</xsl:if>
<TABLE> <xsl:attribute name="WIDTH">100%</xsl:attribute>
	<xsl:attribute name="BORDER">0</xsl:attribute>
	<xsl:attribute name="CELLPADDING">0</xsl:attribute>
	<xsl:attribute name="CELLSPACING">0</xsl:attribute>
     <xsl:apply-templates select='DICTIONARY/ENTRY'/>
</TABLE>
</BODY>
</HTML>
</xsl:template>

<xsl:template match="ENTRY">
<TR><xsl:attribute name="VALIGN">top</xsl:attribute><TD>
<xsl:apply-templates select="HW" mode="title"/>
<xsl:if test="SENSE">
	<P>|<A><xsl:attribute name="HREF">#<xsl:value-of select="./HW"/>SENSE1</xsl:attribute>Sense 1</A><xsl:text>| </xsl:text>
	<xsl:apply-templates select="SENSE" mode="number"/></P>

	<A><xsl:attribute name="NAME"><xsl:value-of select="./HW"/>SENSE1</xsl:attribute></A>
 <H3><xsl:text>Sense 1:</xsl:text></H3></xsl:if>
	<xsl:apply-templates/>
</TD>
<!-- Leave this in because JEditorPane (jdk1.1) not HTML 4.0 compliant (can't deal with <TD/>) -->
<xsl:text> </xsl:text>
<xsl:for-each select="IMAGE">
     <TD><xsl:attribute name="ALIGN">right</xsl:attribute>
     <TABLE><xsl:attribute name="BORDER">0</xsl:attribute>      
               <xsl:apply-templates/>
     </TABLE>
     </TD>
</xsl:for-each>
</TR>
</xsl:template>

<xsl:template match="HW" mode="title">
  <H1> <A><xsl:attribute name="NAME"><xsl:apply-templates select="." mode="text"/></xsl:attribute>
<xsl:choose>
        <xsl:when test='@TYPE'>
          <I><xsl:apply-templates mode="text"/></I>
        </xsl:when>
        <xsl:otherwise>
	   <xsl:apply-templates mode="text"/>
        </xsl:otherwise>
    </xsl:choose>
    <xsl:if test='@HNUM'>
        <xsl:text> (</xsl:text>
        <xsl:value-of select="@HNUM"/>
        <xsl:text>)</xsl:text>
    </xsl:if></A></H1>
</xsl:template>

<xsl:template match="HW">
</xsl:template>

<xsl:template match="HW" mode="text">
   <xsl:apply-templates/>
</xsl:template>

<!-- link items -->
<xsl:template match="ALTI|ANTI|CFI|CMEI|COLLI|CTI|PVLI|SEI|SYNI|XMEI">
<xsl:choose>
	<!-- USERFILE is a tag added in DictionaryCache.java when 
	     the user is saving a file to disk - then the links to 
	     other headwords no longer work, so don't make them. -->
	<xsl:when test="/DICTIONARY/DIR/USERFILE">
	<xsl:apply-templates/>
	</xsl:when>
	<xsl:otherwise>
	<xsl:choose>
   <xsl:when test='@HENTRY="?"'>
     <xsl:apply-templates/>
   </xsl:when>
   <xsl:otherwise>
     <xsl:choose>
        <xsl:when test='@HNUM="#"'>
        <!-- still can't resolve exactly: choice list would be good! -->
        <xsl:apply-templates/>
        </xsl:when>
        <xsl:when test='@HNUM'>
        <A>
        <xsl:attribute name="HREF">@<xsl:value-of 
        select="@HENTRY"/>@<xsl:value-of select="@HNUM"/>.html</xsl:attribute>
        <xsl:apply-templates/>
        </A>
        </xsl:when>
        <xsl:otherwise>
        <A>
        <xsl:attribute name="HREF">@<xsl:value-of 
                select="@HENTRY"/>@.html</xsl:attribute>
        <xsl:apply-templates/>
        </A>
        </xsl:otherwise>
     </xsl:choose>
   </xsl:otherwise>
</xsl:choose>
   </xsl:otherwise>
</xsl:choose>
</xsl:template>

<!-- Text-only items -->
<xsl:template match="GLI|EXAMPLE|REFA">
  <xsl:apply-templates/>
</xsl:template>

<!-- items to hide -->
<xsl:template match="USERFILE">
</xsl:template>

<!-- The rest of the tags, alphabetically -->

<xsl:template match="ALT">
  <DL><DT><FONT COLOR="#00FFFF"><B><xsl:text>Alternate Form: </xsl:text></B></FONT></DT>
  <DD><xsl:apply-templates/></DD>
  </DL>
</xsl:template>

<xsl:template match="ANT">
  <DL><DT><FONT COLOR="#FF0000"><B><xsl:text>Opposite: </xsl:text></B></FONT></DT>
  <DD><xsl:apply-templates/></DD>
  </DL>
</xsl:template>

<xsl:template match="BF">
  <B><xsl:apply-templates/></B>
</xsl:template>

<xsl:template match="CF">
  <DL><DT><FONT COLOR="#707070"><B><xsl:text>See also: </xsl:text></B></FONT></DT>
  <DD><xsl:apply-templates/></DD>
  </DL>
</xsl:template>

<xsl:template match="CM">
  <P><xsl:text>Note: </xsl:text><xsl:apply-templates/></P>
</xsl:template>

<xsl:template match="CME">
  <DL><DT><FONT COLOR="#FF9999"><B><xsl:text>Main Entry: </xsl:text></B></FONT></DT>
  <DD><xsl:apply-templates/></DD>
  </DL>
</xsl:template>

<xsl:template match="CMP">
  <P><xsl:text>Comparative Linguistic Note: </xsl:text>
	<xsl:apply-templates/></P>
</xsl:template>

<xsl:template match="COLLOC">
  <DL><DT><FONT COLOR="#33FF00"><B><xsl:text>Used in talk with: </xsl:text></B></FONT></DT>
  <DD><xsl:apply-templates/></DD>
  </DL>
</xsl:template>

<xsl:template match="CRITERION">
  <DT>
  <xsl:text>- </xsl:text><xsl:apply-templates/>
  </DT>
</xsl:template>

<xsl:template match="CSL">
  <P><xsl:text>Sign language reference: </xsl:text>
  <xsl:apply-templates/>
  </P>
</xsl:template>

<xsl:template match="CT">
  <B><xsl:apply-templates/></B>
</xsl:template>

<xsl:template match="DEF">
  <P><B><I><xsl:text>Definition: </xsl:text></I></B>
  <xsl:apply-templates/>
  </P>
</xsl:template>

<xsl:template match="DERIV">
  <P><FONT SIZE="-1"><I><xsl:text>Literally: </xsl:text></I></FONT>
  <xsl:apply-templates/>
  </P>
</xsl:template>

<xsl:template match="DIALECTS">
<xsl:choose>
 <xsl:when test="../HW">
    <P><I><FONT SIZE="-1"><xsl:text>Dialects: </xsl:text></FONT></I>
	<xsl:apply-templates/>
    </P>
 </xsl:when>
 <!-- xsl:when test="//SENSE"> 
    <P><FONT SIZE="-1"><I><xsl:text>Dialects for this sense: </xsl:text></I></FONT>
	<xsl:for-each select=".">
		<xsl:apply-templates/>
             <xsl:if test="not(position()=last())"><xsl:text>, </xsl:text></xsl:if>
        </xsl:for-each>
     </P>
 </xsl:when -->
 <xsl:otherwise>
     <xsl:text> (</xsl:text><I><xsl:text>in dialects: </xsl:text>
	<xsl:apply-templates/>
 </I><xsl:text>)</xsl:text>
 </xsl:otherwise>
</xsl:choose>
</xsl:template>

<!-- From the warlpiri website: DIALECT CODES ( )
(E) Eastern Warlpiri 
(H) Hansen River 
(La) Lajamanu 
(P) Papunya 
(Wi) Willowra (Wirliyajarrayi) 
(WW) Wakirti Warlpiri (Alekarange/ Tennant Creek) 
(Y) Yuendumu (Yurntumu) 
-->
<xsl:template match="DLI">
	<xsl:choose>
	<xsl:when test=".='Y'"><xsl:text>Yuendumu</xsl:text></xsl:when>
	<xsl:when test=".='H'"><xsl:text>Hansen River</xsl:text></xsl:when>
	<xsl:when test=".='La'"><xsl:text>Lajamanu</xsl:text></xsl:when>
	<xsl:when test=".='Wi'"><xsl:text>Willowra</xsl:text></xsl:when>
	<xsl:when test=".='E'"><xsl:text>Eastern Warlpiri</xsl:text></xsl:when>
	<xsl:when test=".='P'"><xsl:text>Papunya</xsl:text></xsl:when>
	<xsl:when test=".='WW'"><xsl:text>Wakirti Warlpiri</xsl:text></xsl:when>
	<xsl:otherwise><xsl:apply-templates/></xsl:otherwise>
	</xsl:choose>
</xsl:template>

<xsl:template match="DOMAIN">
  <P><FONT SIZE="-1"><I><xsl:text>Semantic domain: </xsl:text></I></FONT>
  <xsl:for-each select="DMI">
    <xsl:value-of select="."/>
    <xsl:if test="not(position()=last())"><xsl:text>:</xsl:text></xsl:if>
  </xsl:for-each>
  </P>
</xsl:template>

<xsl:template match="ET">
  <DD><FONT COLOR="#505050">
  <xsl:apply-templates/>
  </FONT></DD>
</xsl:template>

<xsl:template match="EXAMPLES">
  <DL>
  <xsl:apply-templates/>
  </DL>
</xsl:template>

<xsl:template match="FREQ">
  <P><FONT SIZE="-1">Frequency (estimated): <xsl:apply-templates/></FONT></P>
</xsl:template>

<xsl:template match="GL">
  <P><B><I><xsl:text>English: </xsl:text></I></B>
  <xsl:apply-templates/>
  </P>
</xsl:template>

<!-- Now taken care of in ENTRY (couldn't figure out how to
     do it another way). -KP -->
<xsl:template match="IMAGE"> 
</xsl:template>

<xsl:template match="IMGI">
<!-- TR><xsl:attribute name="VALIGN">top</xsl:attribute -->
<TD><xsl:attribute name="ALIGN">right</xsl:attribute>
<FONT SIZE="-2">
<P ALIGN="right">
<A><xsl:attribute name="HREF">
<xsl:apply-templates select="/DICTIONARY/DIR/IDIR"/> <xsl:apply-templates/>
</xsl:attribute>
<IMG><xsl:attribute name="SRC">
<xsl:apply-templates select="/DICTIONARY/DIR/IDIR"/>
	<xsl:apply-templates/></xsl:attribute>
<xsl:attribute name="WIDTH">100</xsl:attribute>
<xsl:attribute name="HEIGHT">100</xsl:attribute>
</IMG></A>
  <!-- xsl:if test='@CREDITS'>
	<BR>
	<xsl:text>Image &#169; </xsl:text>
        <xsl:value-of select="@CREDITS"/>
	</BR>
    </xsl:if -->
</P></FONT>
</TD>
</xsl:template>

<xsl:template match="IDIR|SDIR|DIR">
	<xsl:apply-templates/>
</xsl:template>

<xsl:template match="LAT">
  <P><FONT SIZE="-1"><I><xsl:text>Latin: </xsl:text></I>
  <I><xsl:apply-templates/></I></FONT>
  </P>
</xsl:template>

<xsl:template match="LATIN">
  <FONT SIZE="-1"><I><xsl:apply-templates/></I></FONT>
</xsl:template>
    
<xsl:template match="PDX">
  <DL>
  <xsl:apply-templates/>
  </DL>
</xsl:template>

<xsl:template match="POS">
  <P><FONT SIZE="-1"><I><xsl:text>Part of speech: </xsl:text></I></FONT>
  <xsl:apply-templates/>
  </P>
</xsl:template>

<xsl:template match="PVL">
  <DL><DT><FONT COLOR="#FF00FF"><B><xsl:text>Preverbs: </xsl:text></B></FONT></DT>
  <DD><xsl:apply-templates/></DD>
  </DL>
</xsl:template>

<xsl:template match="REF">
   <P> <xsl:text>See also: </xsl:text> 
       <xsl:apply-templates/>
   </P>
</xsl:template>

<xsl:template match="REGISTERS">
<xsl:choose>
 <xsl:when test="../HW">
    <P><I><FONT SIZE="-1"><xsl:text>Registers: </xsl:text></FONT></I>
    <xsl:apply-templates/>
    </P>
 </xsl:when>
 <xsl:otherwise>
 <xsl:text> (</xsl:text><I><xsl:text>in registers: </xsl:text>
    <xsl:apply-templates/>
 </I><xsl:text>)</xsl:text>
 </xsl:otherwise>
</xsl:choose>
</xsl:template>

<!--  From the warlpiri website: REGISTER ( )
(BT) Baby Talk (Register used by adults speaking to babies and young children) 
(SL) Special Register Language 
-->
<xsl:template match="RGI">
     <xsl:choose>
     <xsl:when test=".='BT'"><xsl:text>Baby Talk</xsl:text></xsl:when>
     <xsl:when test=".='SL'"><xsl:text>Special Language</xsl:text></xsl:when>
     <xsl:otherwise><xsl:apply-templates/></xsl:otherwise>
     </xsl:choose>
</xsl:template>

<xsl:template match="REM">
   <P><xsl:text>{Removed Comment: </xsl:text> 
       <xsl:apply-templates/> 
       <xsl:text>}</xsl:text>
   </P>
</xsl:template>

<xsl:template match="RUL">
   <P><xsl:text>Grammatical Rule: </xsl:text><xsl:apply-templates/>
   </P>
</xsl:template>

<xsl:template match="SE">
  <DL><DT><FONT COLOR="#FF9999"><B><xsl:text>Sub-entries: </xsl:text></B></FONT></DT>
  <DD><xsl:apply-templates/></DD>
  </DL>
</xsl:template>

<!-- the weirdness here is because we are counting the main definition as sense 1 -->
<xsl:template match="SENSE">
<xsl:variable name="number"><xsl:number/></xsl:variable>
	<A><xsl:attribute name="NAME"><xsl:value-of select="../HW"/>SENSE<xsl:value-of select="$number + 1"/></xsl:attribute></A>
  <H3><xsl:text>Sense </xsl:text>
<xsl:value-of select="$number + 1"/>
<xsl:text>:</xsl:text></H3>
  <xsl:apply-templates/>
</xsl:template>

<xsl:template match="SENSE" mode="number">
<xsl:variable name="number"><xsl:number/></xsl:variable>
|<A><xsl:attribute name="HREF">#<xsl:value-of select="../HW"/>SENSE<xsl:value-of select="$number + 1"/></xsl:attribute>
Sense <xsl:value-of select="$number + 1"/></A><xsl:text>| </xsl:text>
</xsl:template>

<xsl:template match="SOUND">
   <!-- only include sound if Audio is playable, which is coded as whether
   	the SDIR is put in the file -->
   <xsl:if test="/DICTIONARY/DIR/SDIR">
       <P><xsl:apply-templates/></P>
   </xsl:if>
</xsl:template>

<xsl:template match="SNDI">
	<A><xsl:attribute name="HREF">
<xsl:apply-templates select="/DICTIONARY/DIR/SDIR"/>
	<xsl:apply-templates/></xsl:attribute>
<xsl:text>Listen to this word!</xsl:text></A>
</xsl:template>

<xsl:template match="SRC">
  <xsl:text>[Source: </xsl:text>
  <xsl:apply-templates/>
  <xsl:text>]</xsl:text>
</xsl:template>

<xsl:template match="SYN">
  <DL><DT><FONT COLOR="#0000FF"><B><xsl:text>Same meaning: </xsl:text></B></FONT></DT>
  <DD><xsl:apply-templates/></DD>
  </DL>
</xsl:template>

<xsl:template match="WE">
<DT>
<xsl:choose>
   <xsl:when test='@TYPE'>
      <FONT COLOR="#400000">
      <xsl:apply-templates/>
      </FONT>
   </xsl:when>
   <xsl:otherwise>
      <xsl:apply-templates/>
   </xsl:otherwise>
</xsl:choose>
</DT>
</xsl:template>

<xsl:template match="XME">
  <DL><DT><FONT COLOR="#9999FF"><B><xsl:text>Same as: </xsl:text></B></FONT></DT>
  <DD><xsl:apply-templates/></DD>
  </DL>
</xsl:template>

<xsl:template match="XS">
  <P>Extra source: <xsl:apply-templates/></P>
</xsl:template>


</xsl:stylesheet>

